Bug 475122 - Some security policy prevents on-line updates and package query/install/uninstall
Some security policy prevents on-line updates and package query/install/unins...
Status: CLOSED DUPLICATE of bug 475200
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 20:08 EST by Juan
Modified: 2013-03-05 22:57 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 10:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan 2008-12-07 20:08:38 EST
Description of problem:
After aplying all online updates available today, I can't perform any other update or anything with gpk. The message I get from gpk-application is:

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)


Version-Release number of selected component (if applicable):
selinux-policy-3.5.13-26.fc10.noarch
PackageKit-0.3.9-4.fc10.i386
rpm-4.6.0-0.rc1.8.i386

How reproducible:
With the selected versions installed, just try to execute any task with gpm-application, or execute package update

Steps to Reproduce:
1. Install selected versions
2. Execute PackageKit
3. Try to perform any action (query packages, install, uninstall, update...)
  
Actual results:
The error given before is obtained and the task isn't executed

Expected results:
Usual behaviour of PackageKit

Additional info:
Comment 1 Graham Campbell 2008-12-08 10:58:06 EST
Also affects Fedora 9
Comment 2 Pedro Lamarão 2008-12-08 17:37:46 EST
Is this the same as bug 475200 ?
Comment 3 Christopher D. Stover 2008-12-09 10:10:16 EST

*** This bug has been marked as a duplicate of bug 475200 ***
Comment 4 Tomas Hoger 2008-12-09 10:51:12 EST
(In reply to comment #2)
> Is this the same as bug 475200 ?

Rather bug #475068 or check bodhi for updates:
  https://admin.fedoraproject.org/updates/PackageKit

Note You need to log in before you can comment on or make changes to this bug.